Skip to main content
GET
/
integrations
/
v2
/
assistant
/
integrations
/
{assistant_id}
Assistant Integrations
curl --request GET \
  --url https://api-qa.interactly.ai/integrations/v2/assistant/integrations/{assistant_id} \
  --header 'Authorization: Bearer <token>'
{
  "integrations": [
    {
      "integrationId": "<string>",
      "integrationName": "<string>",
      "useCases": [
        {
          "teamId": "5eb7cf5a86d9755df3a6c593",
          "createdBy": "5eb7cf5a86d9755df3a6c593",
          "updatedBy": "5eb7cf5a86d9755df3a6c593",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "_id": "5eb7cf5a86d9755df3a6c593",
          "logicalId": "<string>",
          "integrationId": "5eb7cf5a86d9755df3a6c593",
          "schedulerNames": [
            "<string>"
          ],
          "config": {
            "displayName": "<string>",
            "assistantId": "5eb7cf5a86d9755df3a6c593",
            "status": "active",
            "timezone": "<string>",
            "type": "appointment_reminder_with_sheet",
            "name": "New Patients Appointment Reminder",
            "sheetLink": "<string>",
            "actions": [
              {
                "logicalId": "<string>",
                "templateName": "<string>",
                "context": "<string>",
                "reportEmails": [
                  "<string>"
                ],
                "daysWindow": 7,
                "status": "active",
                "schedule": {
                  "startDateTime": "2023-11-07T05:31:56Z",
                  "endDateTime": "2023-11-07T05:31:56Z",
                  "field": "oneTime",
                  "triggerAt": "2023-11-07T05:31:56Z"
                }
              }
            ]
          }
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

assistant_id
string
required

Response

Successful Response

Response model for a list of integrations with their use-cases for a given assistant. Contains a list of AssistantIntegrationUseCaseResponse objects.

integrations
AssistantIntegrationUseCaseResponse · object[]

List of integrations with use-cases for the assistant